import { ApiAuthAuthenticateInterface, ApiAuthAuthenticationProviderInterface, BasicAuthAuthenticateInterface, BasicAuthAuthenticationProviderInterface, SamsungAnyAuthenticateInterface, SamsungAuthenticateInterface, SamsungAuthenticationProviderInterface, SamsungLegacyAuthenticateInterface, SamsungLegacyAuthenticationProviderInterface } from "./provider";
import { RefreshAuthenticateInterface } from "./refresh";
export declare type AuthenticationTypes = BasicAuthAuthenticationProviderInterface | ApiAuthAuthenticationProviderInterface | SamsungAuthenticationProviderInterface | SamsungLegacyAuthenticationProviderInterface;
export declare type AuthenticateTypes = BasicAuthAuthenticateInterface | ApiAuthAuthenticateInterface | RefreshAuthenticateInterface | SamsungLegacyAuthenticateInterface | SamsungAuthenticateInterface | SamsungAnyAuthenticateInterface;
export declare type StatelessAuthenticateTypes = SamsungAnyAuthenticateInterface;
export declare type StatelessTransformerTypes = SamsungAuthenticateInterface;
